Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.localsearch
Class LocalSearchSolverConfig

    java.lang.Object
      org.drools.planner.config.AbstractSolverConfig
          org.drools.planner.config.localsearch.LocalSearchSolverConfig

    public class LocalSearchSolverConfig

extends AbstractSolverConfig

Field Summary

Fields inherited from class org.drools.planner.config.AbstractSolverConfig
`DEFAULT_RANDOM_SEED, environmentMode, randomSeed, ruleBase, scoreDefinitionConfig, scoreDrlList, startingSolutionInitializer, startingSolutionInitializerClass`

Constructor Summary
`LocalSearchSolverConfig()`

Method Summary
`LocalSearchSolver` | `buildSolver()`
`AcceptorConfig` | `getAcceptorConfig()`
`DeciderScoreComparatorFactoryConfig` | `getDeciderScoreComparatorFactoryConfig()`
`ForagerConfig` | `getForagerConfig()`
`SelectorConfig` | `getSelectorConfig()`
`TerminationConfig` | `getTerminationConfig()`
`void` | `inherit(LocalSearchSolverConfig inheritedConfig)`
`void` | `setAcceptorConfig(AcceptorConfig acceptorConfig)`
`void` | `setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)`
`void` | `setForagerConfig(ForagerConfig foragerConfig)`
`void` | `setSelectorConfig(SelectorConfig selectorConfig)`
`void` | `setTerminationConfig(TerminationConfig terminationConfig)`

Methods inherited from class org.drools.planner.config.AbstractSolverConfig
`buildStartingSolutionInitializer, configureAbstractSolver, getEnvironmentMode, getRandomSeed, getRuleBase, getScoreDefinitionConfig, getScoreDrlList, getStartingSolutionInitializer, getStartingSolutionInitializerClass, inherit, setEnvironmentMode, setRandomSeed, setRuleBase, setScoreDefinitionConfig, setScoreDrlList, setStartingSolutionInitializer, setStartingSolutionInitializerClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSearchSolverConfig

    public LocalSearchSolverConfig()

Method Detail

### getTerminationConfig

    public TerminationConfig getTerminationConfig()

### setTerminationConfig

    public void setTerminationConfig(TerminationConfig terminationConfig)

### getDeciderScoreComparatorFactoryConfig

    public DeciderScoreComparatorFactoryConfig getDeciderScoreComparatorFactoryConfig()

### setDeciderScoreComparatorFactoryConfig

    public void setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)

### getSelectorConfig

    public SelectorConfig getSelectorConfig()

### setSelectorConfig

    public void setSelectorConfig(SelectorConfig selectorConfig)

### getAcceptorConfig

    public AcceptorConfig getAcceptorConfig()

### setAcceptorConfig

    public void setAcceptorConfig(AcceptorConfig acceptorConfig)

### getForagerConfig

    public ForagerConfig getForagerConfig()

### setForagerConfig

    public void setForagerConfig(ForagerConfig foragerConfig)

### buildSolver

    public LocalSearchSolver buildSolver()

  Specified by:
    `buildSolver` in class `AbstractSolverConfig`

### inherit

    public void inherit(LocalSearchSolverConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.